Page MenuHomePhabricator

Add page comparison / equality unit tests
Closed, ResolvedPublic

Description

+ maybe others


Version: core-(2.0)
Severity: normal

Details

Reference
bz65238

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:22 AM
bzimport added a project: Pywikibot-tests.
bzimport set Reference to bz65238.
bzimport added a subscriber: Unknown Object (????).
jayvdb moved this task from Backlog to Framework on the Pywikibot-tests board.Nov 29 2014, 5:06 PM
jayvdb added subscribers: XZise, jayvdb.

We might have already done what was desired here.

@XZise added tests replicating these tests: https://git.wikimedia.org/blob/mediawiki%2Fcore.git/master/tests%2Fqunit%2Fsuites%2Fresources%2Fmediawiki%2Fmediawiki.Title.test.js

http://git.wikimedia.org/commit/pywikibot%2Fcore.git/2a230fc4031e5f116aa954177be22dc1603dd410

And then there were a few fixes required to bring our Link into line with JS Title

http://git.wikimedia.org/history/pywikibot%2Fcore.git/c731cdb7b58adaf0f42c86bb838257af36e6e2f6/tests%2Flink_tests.py

I feel we have a decent set of Link equality/comparison tests, and the Page equality/comparison tests is OK.

@valhallasw , if you can think of other tests which will be useful, we can write them up as a Google-Code-in-2014 task.

jayvdb moved this task from Backlog to pywikibot on the Google-Code-in-2014 board.Dec 13 2014, 2:20 AM
jayvdb closed this task as Resolved.Jun 9 2015, 6:36 AM
jayvdb assigned this task to XZise.
jayvdb set Security to None.